# GET Question by id

## Question by id

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.3/questions/:id`

Gets a specific question by id

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | string | Question id |

#### Query Parameters

| Name              | Type   | Description                                                                                                                                             |
| ----------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| preferredLanguage | string | Preferred language to show the question titles in eg. 'en'. If the specified language is not available, it will default to the first available language |

#### Headers

| Name          | Type   | Description                                                                                |
| ------------- | ------ | ------------------------------------------------------------------------------------------ |
| Authorization | string | Authentication token to access the API eg: 'Authorization': 'ey0iuefg.834xcunerun348efnsd' |

{% tabs %}
{% tab title="200 " %}

```
{
    "_id": "58d8d547b8c71e000e3824fc",
    "title": "How likely are you to recommend us to a friend or colleague?",
    "subtitle": "0=Not likely at all 10=Extremely likely",
    "choicesString": [],
    "questionType": "NPS",
    "languages": [
        "en",
        "es",
        "af"
    ],
    "language": "en",
    "choices": [],
    "surveyId": "58d8d3d14cb016000e203e0e"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
    "error": "Question inaccessible    Error id : 1583414902648/mOXsfkd7."
}
```

{% endtab %}
{% endtabs %}

### Request Return type

Returns [Question Data object](/api/questions.md#question-data-object)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feedbackly.com/api/questions/get-question-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
